/dnsfilter | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
dnsfilter_create_ip_address | Tool to create a new ip address in dnsfilter. |
dnsfilter_get_application_category | Tool to get basic information of a specific application category. |
dnsfilter_get_billing_information | Tool to retrieve basic billing information for an organization. |
dnsfilter_get_category | Tool to get basic information of a specific category. |
dnsfilter_get_ip_address | Tool to get basic information of the specified ip address. |
dnsfilter_list_all_categories | Tool to list all categories including internal categories. |
dnsfilter_list_all_ip_addresses | Tool to list all user-associated ip addresses with basic information. |
dnsfilter_list_all_mac_addresses | Tool to list all mac addresses with basic information. |
dnsfilter_list_application_categories | Tool to list application categories with basic information. |
dnsfilter_list_applications | Tool to list applications with basic information. |
dnsfilter_list_block_pages | Tool to list block pages associated with the current user. |
dnsfilter_list_categories | Tool to list categories with basic information. |
dnsfilter_list_invoices | Tool to list invoices for an organization, most recent first. |
dnsfilter_list_ip_addresses | Tool to list user-associated ip addresses with basic information. |
dnsfilter_list_mac_addresses | Tool to list mac addresses associated with an organization. |
dnsfilter_list_networks | Tool to list all networks. |
dnsfilter_list_organizations | Tool to list all organizations. |
dnsfilter_suggest_domain_threat | Tool to suggest a fqdn as a potential threat. |
dnsfilter_verify_ip_address | Tool to verify that an ip address is not already in the system. |
dnsfilter_create_ip_address
Tool to create a new ip address in dnsfilter. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ip_address | object | Yes | — | IP address creation request parameters |
dnsfilter_get_application_category
Tool to get basic information of a specific application category. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Application category ID |
dnsfilter_get_billing_information
Tool to retrieve basic billing information for an organization. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_id | integer | Yes | — | User organization ID |
dnsfilter_get_category
Tool to get basic information of a specific category. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Category ID |
dnsfilter_get_ip_address
Tool to get basic information of the specified ip address. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | IP address ID |
dnsfilter_list_all_categories
Tool to list all categories including internal categories. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | object | No | — | Pagination parameters |
dnsfilter_list_all_ip_addresses
Tool to list all user-associated ip addresses with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | object | No | — | Pagination parameters |
dnsfilter_list_all_mac_addresses
Tool to list all mac addresses with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_ids | any[] | No | — | Organization IDs, defaults to user organization ID |
page | object | No | — | Pagination parameters |
dnsfilter_list_application_categories
Tool to list application categories with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | object | No | — | Pagination parameters |
dnsfilter_list_applications
Tool to list applications with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
category_ids | any[] | No | — | Category IDs, defaults to all |
page | object | No | — | Pagination parameters |
dnsfilter_list_block_pages
Tool to list block pages associated with the current user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_id | integer | No | — | Organization ID |
page | object | No | — | Pagination parameters |
dnsfilter_list_categories
Tool to list categories with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | object | No | — | Pagination parameters |
dnsfilter_list_invoices
Tool to list invoices for an organization, most recent first. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_id | integer | Yes | — | User organization ID |
dnsfilter_list_ip_addresses
Tool to list user-associated ip addresses with basic information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | object | No | — | Pagination parameters |
search | string | No | — | Search specific IP information |
dnsfilter_list_mac_addresses
Tool to list mac addresses associated with an organization. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_ids | any[] | No | — | Organization IDs, defaults to user organization ID |
page | object | No | — | Pagination parameters |
dnsfilter_list_networks
Tool to list all networks. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
basic_info | boolean | No | — | Return most basic Network Info only. Defaults to False |
count_network_ips | boolean | No | — | Return count of IP Addresses. Defaults to False |
force_truncate_ips | boolean | No | — | Return Network info without IP Addresses. Defaults to False |
page | object | No | — | Pagination parameters |
protected | boolean | No | — | Filter networks with assigned policy |
search | string | No | — | Search for the given value among the network name, hostname, ip address, etc. |
unprotected | boolean | No | — | Filter networks without assigned policy |
dnsfilter_list_organizations
Tool to list all organizations. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
basic_info | boolean | No | — | just return organizations basic info true/false, defaults to false |
exclude_inherit_privacy_mode | boolean | No | — | Exclude organizations that have inherit privacy mode |
managed_by_msp_id | integer | No | — | MSPs sub-organizations whose MSP ID matches this value |
name | string | No | — | Filter by organization name |
owned_msp_id | integer | No | — | Parent organizations whose MSP ID matches this value |
page | object | No | — | Pagination parameters |
pii_grid_search | string | No | — | Filter by organization name or privacy mode for pii grid search |
type | string | No | — | Filter by organization type |
dnsfilter_suggest_domain_threat
Tool to suggest a fqdn as a potential threat. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
categories | string | No | — | Suggested security categories, comma separated IDs |
fqdn | string | Yes | — | FQDN to verify |
notes | string | Yes | — | User notes about the threat suggestion/verification |
dnsfilter_verify_ip_address
Tool to verify that an ip address is not already in the system. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ip_address | object | Yes | — | IP address to verify |

